(defvar agw-mode-map (make-sparse-keymap)
  "Global keymap for `agw-mode'.")

(define-minor-mode agw-key-map
  "Minor mode for key bindings."
  :global t
  :keymap agw-mode-map)

(defun agw-set-key (key def)
  "Binds a key into `agw-mode-map'."
  (define-key agw-mode-map (kbd (concat "C-<tab> " key)) def))

(agw-set-key "b d" #'kill-this-buffer)
(agw-set-key "b e" #'ibuffer)

(agw-set-key "f" #'dired-jump)

(agw-set-key "h" #'windmove-left)
(agw-set-key "j" #'windmove-down)
(agw-set-key "k" #'windmove-up)
(agw-set-key "l" #'windmove-right)

(agw-key-map)

(evil-global-set-key 'normal (kbd "K w") #'deadgrep)

(evil-global-set-key 'visual (kbd "g s") #'sort-lines)
(evil-global-set-key 'visual (kbd "g a") #'ialign)

; just in case - bind for disabling key map mode
(global-set-key (kbd "C-x C-<tab>") #'agw-key-map)

;; EOF
