(require 'paradox)
(paradox-enable)

(require 'rust-mode)

(require 'evil)
(evil-collection-init)
(evil-mode 1)

(require 'powerline)
(powerline-center-evil-theme)

(require 'org)
(dolist (face '(org-block-begin-line
                org-block-end-line
                org-block
                org-code
                org-date
                org-document-info-keyword
                org-verbatim
                org-checkbox))
  (set-face-attribute face nil :inherit 'fixed-pitch))

(require 'smart-tabs-mode)
(smart-tabs-add-language-support rust rust-mode-hook
  ((rust-mode-indent-line . rust-indent-offset)))
(smart-tabs-add-language-support fish fish-mode-hook
  ((fish-indent-line . fish-indent-offset)))
(smart-tabs-add-language-support glsl glsl-mode-hook
  ((c-indent-line . c-basic-offset)
   (c-indent-region . c-basic-offset)))
(smart-tabs-insinuate
 'c
 'fish
 'javascript
 'rust
 'glsl)

(require 'ranger)

(require 'mozc)
(setq default-input-method "japanese-mozc")

; HOW IS THERE SERIOUSLY A PACKAGE FOR THIS!?
(require 'rand-theme)
(setq rand-theme-wanted '(base16-ashes
                          base16-atelier-cave
                          base16-atelier-forest
                          base16-atelier-heath
                          base16-circus
                          base16-dracula
                          base16-material-palenight
                          base16-monokai
                          base16-onedark
                          base16-porple
                          base16-unikitty-dark))
(rand-theme)

(require 'ialign)

;; EOF
